Update a position
curl --request PATCH \
--url https://api.plane.com/v1/positions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"status": "<string>",
"plan": "<string>",
"location": {},
"employer": {},
"starts": "<string>",
"ends": "<string>",
"compensation": {},
"metadata": {}
}
'import requests
url = "https://api.plane.com/v1/positions/{id}"
payload = {
"name": "<string>",
"status": "<string>",
"plan": "<string>",
"location": {},
"employer": {},
"starts": "<string>",
"ends": "<string>",
"compensation": {},
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
status: '<string>',
plan: '<string>',
location: {},
employer: {},
starts: '<string>',
ends: '<string>',
compensation: {},
metadata: {}
})
};
fetch('https://api.plane.com/v1/positions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Positions
Update a position
Update a workforce position.
PATCH
/
v1
/
positions
/
{id}
Update a position
Parameters
string
required
ID of the position.
string
Optional display name for the planned seat.
string
Position status.
string
Workforce plan ID.
object
Position location.
object
Employer model for the position. Supported types are
employee and
contractor.string
Position start date.
string
Position end date.
object
Compensation input for the position.
object
Set of key-value pairs attached to the position.
Returns
Returns the updated Position object.Was this page helpful?
⌘I